// creator  : weidu.exe (version 23100)
// argument : GORAPR.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GORAPR~

IF ~True()
~ THEN BEGIN 0 // from: 1.1
  SAY #62880 /* ~No... no more.  Have mercy.  I will never tell you.  Please... just let me die.~ */
  IF ~~ THEN REPLY #62881 /* ~I am not here to hurt you.  I'm here to help.~ */ GOTO 1
  IF ~~ THEN REPLY #62882 /* ~Never tell me what?  What are you talking about?~ */ GOTO 1
  IF ~~ THEN REPLY #62884 /* ~I want answers - NOW!~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #62885 /* ~I told you fiends - Carston deserves to stay in that glass forever!  I will never let him escape!~ */
  IF ~~ THEN REPLY #62888 /* ~How do you know Carston?~ */ GOTO 2
  IF ~~ THEN REPLY #62890 /* ~Spill your guts about Carston - or I'll spill 'em for you!~ */ GOTO 0
  IF ~~ THEN REPLY #62891 /* ~Don't speak - I can help you if you just lie still.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.2 1.0
  SAY #62886 /* ~You - you are not one of those... monsters.  You cannot help me.  Just let me die in peace, I beg you.~ */
  IF ~~ THEN REPLY #62895 /* ~Please, just a few questions.~ */ GOTO 3
  IF ~~ THEN REPLY #62896 /* ~If you want peace, you better give me some answers!~ */ GOTO 17
END

IF ~~ THEN BEGIN 3 // from: 17.0 2.0
  SAY #62897 /* ~My wounds run deep, my time is almost done.  But... I shall answer your questions if I am able.~ */
  IF ~~ THEN REPLY #62898 /* ~How do you know Carston?~ */ GOTO 5
  IF ~~ THEN REPLY #62900 /* ~How did you end up in this place?~ */ GOTO 5
  IF ~~ THEN REPLY #62901 /* ~Why did those illithid torture you?~ */ GOTO 12
  IF ~~ THEN REPLY #62902 /* ~Is there some way to get through that glass case around Carston?~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 11.1 3.3
  SAY #62903 /* ~No!  I will not tell you that.  He deserves to stay there for ever.  Ask of me something else, if you wish.  But not that.  Never that.~ */
  IF ~Global("CarstonTalk","GLOBAL",0)~ THEN REPLY #62937 /* ~Why do you hate Carston so much?~ */ GOTO 5
  IF ~Global("CreatureTalk","GLOBAL",0)~ THEN REPLY #62938 /* ~Tell me about the creatures that captured you.~ */ GOTO 12
  IF ~~ THEN REPLY #62939 /* ~Save your strength - don't speak. I would help if I could...~ */ GOTO 16
  IF ~~ THEN REPLY #62940 /* ~Since you won't talk, I should just kill you.~ */ GOTO 16
END

IF ~~ THEN BEGIN 5 // from: 15.1 15.0 4.0 3.1 3.0
  SAY #62904 /* ~Carston was... my master.  He brought me, and his other apprentices, to this horrid place many years ago, seeking long forbidden knowledge buried within the depths of this dungeon.~ */
  IF ~~ THEN DO ~SetGlobal("CarstonTalk","GLOBAL",1)~ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #62906 /* ~He led us through the traps and guardians of the upper levels of the dungeon.  When we came across the Machine of Lum the Mad, he knew it was the only way to open the gate to the lower dungeon.~ */
  IF ~~ THEN REPLY #62912 /* ~I knew that machine was the key to getting out of here!~ */ UNSOLVED_JOURNAL #63824 /* ~Escaping Carston's Level

Much as I suspected, the key to getting off of this level is the Machine of Lum the Mad.   I assume that by manipulating the levers, dials and buttons I can figure out a way to activate the gate to the next level.  But before I can experiment with the infernal machine, I'll have to get through that glass bubble of Carston's.~ */ GOTO 7
  IF ~~ THEN REPLY #62928 /* ~I don't really have time for this.  I'll help you out later.~ */ UNSOLVED_JOURNAL #63824 /* ~Escaping Carston's Level

Much as I suspected, the key to getting off of this level is the Machine of Lum the Mad.   I assume that by manipulating the levers, dials and buttons I can figure out a way to activate the gate to the next level.  But before I can experiment with the infernal machine, I'll have to get through that glass bubble of Carston's.~ */ GOTO 16
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #62907 /* ~Carston was foolish enough to think he could master the machine.  He studied the controls, then flipped a switch - and was instantly encased in that magic shell of glass.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #62908 /* ~Before we apprentices could come to his aid, that idiot Carston flipped another switch.  Instantly we were surrounded by a horde of ravaging demons from another plane.~ */
  IF ~~ THEN REPLY #62913 /* ~Few things are as dangerous as a wizard's pride.~ */ GOTO 9
  IF ~~ THEN REPLY #62914 /* ~Hah! The joke was on you then, wasn't it?~ */ GOTO 9
  IF ~~ THEN REPLY #62915 /* ~Demons.  I hate demons.~ */ GOTO 9
  IF ~~ THEN REPLY #62916 /* ~And yet somehow you survived.~ */ GOTO 9
  IF ~~ THEN REPLY #62929 /* ~Enough yapping. I'm just going to kill you now.~ */ GOTO 16
END

IF ~~ THEN BEGIN 9 // from: 8.3 8.2 8.1 8.0
  SAY #62909 /* ~We might all have survived, if that fool Carston had let us work our spells.  But he panicked, and began flipping switches at random.  Between the fireballs, lightning and monsters he unleashed it is a miracle I escaped with my life.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #62910 /* ~My companions were not so lucky.  Torn limb from limb by demons, or burnt into ash by the magic of that infernal machine.  Yet Carston was unharmed, completely protected inside his glass bubble.~ */
  IF ~~ THEN GOTO 11
  IF ~IsValidForPartyDialog("Valygar")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~VALYG25J~ 13
  IF ~IsValidForPartyDialog("Edwin")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~EDWIN25J~ 2
  IF ~IsValidForPartyDialog("Aerie")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~AERIE25J~ 23
  IF ~IsValidForPartyDialog("Nalia")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~NALIA25J~ 5
END

IF ~~ THEN BEGIN 11 // from: 10.0 EDWIN25J:2.0
  SAY #62917 /* ~But even though Carston survived, he was trapped inside his prison; helpless to escape despite seeing the... no, I will not speak of that.  I could have released him, but instead I left him there to rot.~ */
  IF ~Global("CreatureTalk","GLOBAL",0)~ THEN REPLY #62918 /* ~A fitting fate.  But how did you end up here?~ */ GOTO 12
  IF ~~ THEN REPLY #62919 /* ~Tell me how to get through that glass case of Carston's and I will avenge you!~ */ GOTO 4
  IF ~Global("CreatureTalk","GLOBAL",0)~ THEN REPLY #62920 /* ~What do you know about the creatures on this level?~ */ GOTO 12
  IF ~~ THEN REPLY #62921 /* ~Oh, look at the time!  I should really be going now.~ */ GOTO 16
END

IF ~~ THEN BEGIN 12 // from: 11.2 11.0 4.1 3.2
  SAY #62922 /* ~Using my wits and cunning I have survived these past ten years in this dungeon, seeking a way out.  I have seen Carston grow more and more mad.  He summons creatures to amuse himself; so he can watch them suffer.~ */
  IF ~~ THEN DO ~SetGlobal("CreatureTalk","GLOBAL",1)~ GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #62923 /* ~A few years ago he conjured up a group of illithid locked in battle with a githyanki war party.  Since then the two groups have survived in this place - the illithid in the northwest and the githyanki in the south.~ */
  IF ~~ THEN REPLY #62930 /* ~And you were stuck in the middle.~ */ GOTO 14
  IF ~~ THEN REPLY #62931 /* ~Couldn't you all work together to find a way out of this place?~ */ GOTO 14
  IF ~~ THEN REPLY #62932 /* ~Less talk, more fight!  Time to die.~ */ GOTO 16
END

IF ~~ THEN BEGIN 14 // from: 13.1 13.0
  SAY #62924 /* ~The creatures waste their time battling each other, or launching futile attacks upon Carston in his glass case.  I avoided the monsters until some months ago, when the illithid finally caught me.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #62925 /* ~The illithid sensed I knew the secret of Carston's cage.  They tortured me in body, mind and spirit - but I would not talk.  Carston will never be free.~ */
  IF ~Global("CarstonTalk","GLOBAL",0)~ THEN REPLY #62933 /* ~Why are you so hateful towards Carston?~ */ GOTO 5
  IF ~Global("CarstonTalk","GLOBAL",0)~ THEN REPLY #62934 /* ~But what were you doing in this dungeon in the first place?~ */ GOTO 5
  IF ~Global("CarstonTalk","GLOBAL",1)~ THEN REPLY #62935 /* ~Is there nothing I can do to help you?~ */ GOTO 16
  IF ~~ THEN REPLY #62936 /* ~Enough! Time to end your miserable life.~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.3 15.2 13.2 11.3 8.4 6.1 4.3 4.2
  SAY #62926 /* ~I am beyond your power to either help or harm.  (cough)  The tortures of the illithid cannot be undone.  I... embrace the darkness.~ */
  IF ~~ THEN DO ~AddXP2DA("PLOT6A")
Kill(Myself)~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 2.1
  SAY #62927 /* ~Your threats hold no power over me.  I have experienced agony you cannot even comprehend.~ */
  IF ~~ THEN GOTO 3
END
